if not ace:LoadTranslation("LocationFu") then

LocationFuLocals = {
	NAME = "FuBar - LocationFu",
	DESCRIPTION = "Keeps track of your current location.",
	COMMANDS = {"/locfu", "/locationfu"},
	CMD_OPTIONS = {},
	
	TEXT_CURSOR = "Cursor",
	TEXT_PLAYER = "Player",
	TEXT_ZONE = "Zone",
	TEXT_SUBZONE = "Subzone",
	TEXT_STATUS = "Status",
	TEXT_ARENA = "Arena",
	TEXT_FRIENDLY = "Friendly",
	TEXT_CONTESTED = "Contested",
	TEXT_HOSTILE = "Hostile",
	TEXT_COORDINATES = "Coordinates",
	TEXT_LEVEL_RANGE = "Level range",
	TEXT_INSTANCES = "Instances",
	TEXT_RECOMMENDED_ZONES = "Recommended zones",
	TEXT_RECOMMENDED_INSTANCES = "Recommended instances",
	
	TEXT_HINT = "Click to open map.",
	TEXT_HINT_SHIFT = "Shift-Click to insert position into chat edit box.",
	TEXT_HINT_ATLAS = "Click to open Atlas.",
	TEXT_HINT_CTRL = "Ctrl-Click to open map.",
	TEXT_HINT_ATLAS_CTRL = "Ctrl-Click to open Atlas.",
	
	ARGUMENT_MINIMAPBAR = "minimapBar",
	ARGUMENT_MAPCOORDS = "mapCoords",
	ARGUMENT_COORDS = "coords",
	ARGUMENT_ZONENAME = "zoneName",
	ARGUMENT_SUBZONENAME = "subZoneName",
	ARGUMENT_RECZONES = "recZones",
	ARGUMENT_MAPOVERLAY = "mapOverlay",
	ARGUMENT_LEVEL = "level",
	
	MENU_SHOW_MINIMAP_BAR = "Show minimap bar",
	MENU_SHOW_COORDS_ON_MAP = "Show coordinates on world map",
	MENU_SHOW_COORDS = "Show coordinates",
	MENU_SHOW_SUBZONE_NAME = "Show sub-zone name",
	MENU_SHOW_ZONE_NAME = "Show zone name",
	MENU_SHOW_LEVEL_RANGE = "Show level range",
	MENU_SHOW_RECOMMENDED_ZONES = "Show recommended zones",
	MENU_SHOW_MAP_OVERLAY = "Show map overlay",
	MENU_OPEN_WORLD_MAP = "Open world map",
	MENU_OPEN_ATLAS = "Open Atlas",
}

LocationFuLocals.CMD_OPTIONS = {
	{
		option = LocationFuLocals.ARGUMENT_MINIMAPBAR,
		desc = "Show the bar above the minimap that tells the location and allows you to close minimap.",
		method = "ToggleShowingMinimapBar"
	},
	{
		option = LocationFuLocals.ARGUMENT_MAPCOORDS,
		desc = "Show the coordinates of your cursor and your player on the world map.",
		method = "ToggleShowingMapCoords"
	},
	{
		option = LocationFuLocals.ARGUMENT_COORDS,
		desc = "Toggle the coordinates in the text of this plugin.",
		method = "ToggleShowingCoords"
	},
	{
		option = LocationFuLocals.ARGUMENT_ZONENAME,
		desc = "Toggle the zone name in the text of this plugin.",
		method = "ToggleShowingZoneName"
	},
	{
		option = LocationFuLocals.ARGUMENT_RECZONES,
		desc = "Show your recommended zones in the tooltip.",
		method = "ToggleShowingRecommendedZones"
	},
	{
		option = LocationFuLocals.ARGUMENT_MAPOVERLAY,
		desc = "Show the overlay on the map which shows the level range and instances available.",
		method = "ToggleShowingMapOverlay"
	},
}

end