QCS={};
QCS.n=0;
QCS_VARS={};

function QuickChatScroll_OnLoad()
	this:RegisterEvent("PLAYER_ENTERING_WORLD");
	this:RegisterEvent("VARIABLES_LOADED");
	this:GetParent():SetScript("OnShow",function()
		QCS_ToggleChatScrollButtons(getglobal(this:GetName().."ScrollBox"));
		SetChatWindowShown(this:GetID(), 1);
	end );

end

function QuickChatScroll_OnEvent()
	if ( event=="PLAYER_ENTERING_WORLD" or event=="VARIABLES_LOADED" ) then
		QCS_ToggleChatScrollButtons(this);
		QCS_ToggleChatMenuButton();
	end
end

function QuickChatScroll_OnShow()
	this:SetFrameLevel(0);
end

function QuickChatScroll_OnMouseDown(button)
	if ( not QCS[button] ) then
		QCS.n=QCS.n+1;
		QCS[button]=QCS.n;
	end
	if ( QCS.n==2 ) then
		local d=getn(DOCKED_CHAT_FRAMES);
		if ( d>1 ) then
			local p=this:GetParent();
			for i,f in ipairs(DOCKED_CHAT_FRAMES) do
				if ( p==f ) then
					if ( button=="RightButton" ) then
					i= (i<d and i+1) or 1;
					elseif ( button=="LeftButton" ) then
					i= (i>1 and i-1) or d;
					end
		FCF_SelectDockFrame(DOCKED_CHAT_FRAMES[i]);
		QuickChatScroll_OnMouseUp("RightButton");
		QuickChatScroll_OnMouseUp("LeftButton");
					break;
				end
			end
		end
	end
end

function QuickChatScroll_OnMouseUp(button)
	if ( QCS[button] ) then
		QCS[button]=nil;
		QCS.n=(QCS.n==0) and 0 or QCS.n-1;
	end
end

function QuickChatScroll_OnMouseWheel(dir)
	local scrollrate=4;
	local frame=getglobal("ChatFrame"..this:GetID());
	local func=dir==1 and frame.ScrollUp or frame.ScrollDown;
	if ( QCS.n>0 ) then
		scrollrate=frame:GetNumMessages();
	end
	for i=1, scrollrate do
		func(frame);
	end
end

function QCS_ToggleChatScrollButtons( self )
	local a,b,c=getglobal(self:GetParent():GetName().."BottomButton"), getglobal(self:GetParent():GetName().."DownButton"), getglobal(self:GetParent():GetName().."UpButton");
	local func=(QCS_VARS.showButton) and a.Show or a.Hide;
	func(a); func(b); func(c);
end

function QCS_ToggleChatMenuButton()
	if (QCS_VARS.showMenu) then
		ChatFrameMenuButton:Show();
	else
		ChatFrameMenuButton:Hide();
	end		
end

SLASH_QCSHIDEBUTTON1="/qcs";
SLASH_QCSHIDEBUTTON2="/quickchatscroll";
SlashCmdList["QCSHIDEBUTTON"]=function(msg)
	if ( msg=="button" ) then
		QCS_VARS.showButton=1;
	elseif ( msg=="nobutton" ) then
		QCS_VARS.showButton=nil;
	elseif ( msg=="menu" ) then
		QCS_VARS.showMenu=1;
	elseif ( msg=="nomenu" ) then
		QCS_VARS.showMenu=nil;
	else
		QCS_VARS.showButton=nil;
		QCS_VARS.showMenu=nil;
	end
	for i=1,NUM_CHAT_WINDOWS do
		QCS_ToggleChatScrollButtons(getglobal("ChatFrame"..i.."ScrollBox"));
	end
	QCS_ToggleChatMenuButton();
end