
OZ_Config = {
	[1] = {
		["bottomCol"] = {
			["a"] = 0.5,
			["r"] = 0,
			["g"] = 0,
			["b"] = 0.6,
		},
		["maxBars"] = 40,
		["barHeight"] = 16,
		["sort2"] = 0,
		["locked"] = 1,
		["icon"] = 1,
		["colour"] = 1,
		["minBars"] = 2,
		["heading"] = {
			[1] = 3,
			[2] = 0,
			[3] = 0,
		},
		["refresh"] = 1,
		["sort3"] = 0,
		["namePos"] = 3,
		["barDebuffCol"] = 1,
		["valuePos"] = 1,
		["buffPos"] = 1,
		["active"] = 1,
		["nameOnStatus"] = 1,
		["rangeFade"] = 1,
		["hideParty"] = 1,
		["hideSolo"] = 1,
		["sort1"] = 3,
		["text"] = "Raid",
		["hideTitle"] = 1,
		["hideIcon"] = 1,
		["valueType"] = 2,
		["hideparty"] = 1,
		["buttonSize"] = 16,
		["tooltips"] = 1,
		["topCol"] = {
			["a"] = 0.5,
			["r"] = 0,
			["g"] = 1,
			["b"] = 1,
		},
		["width"] = 120,
		["titleHeight"] = 20,
		["classNames"] = 1,
		["textSize"] = 10,
		["filter"] = {
			["group"] = {
				[1] = 1,
				[2] = 1,
				[3] = 1,
				[4] = 1,
				[5] = 1,
				[6] = 1,
				[7] = 1,
				[8] = 1,
			},
			["injuredVal"] = 0.7999999523162842,
			["status"] = {
				["inrange"] = 1,
				["close"] = 1,
				["curable"] = 1,
				["buffed"] = 1,
				["outofrange"] = 1,
				["online"] = 1,
				["notbuffed"] = 1,
				["injured"] = 1,
				["dead"] = 1,
				["offline"] = 1,
				["healthy"] = 1,
				["notcurable"] = 1,
			},
			["class"] = {
				["HUNTER"] = 1,
				["WARRIOR"] = 1,
				["TARGET"] = 1,
				["PALADIN"] = 1,
				["MAGE"] = 1,
				["TANKS"] = 1,
				["PRIEST"] = 1,
				["HEALERS"] = 1,
				["WARLOCK"] = 1,
				["MELEE"] = 1,
				["DRUID"] = 1,
				["RANGED"] = 1,
				["ROGUE"] = 1,
			},
		},
		["input"] = 1,
		["buffsMob"] = {
			[1] = {
				[1] = 3,
				[2] = "Sunder Armor",
				[3] = "Interface\\Icons\\Ability_Warrior_Sunder",
			},
			[2] = {
				[1] = 3,
				[2] = "Hunter's Mark",
				[3] = "Interface\\Icons\\Ability_Hunter_SniperShot",
			},
			[3] = {
				[1] = 3,
				[2] = "Curse of the Elements",
				[3] = "Interface\\Icons\\Spell_Shadow_ChillTouch",
			},
			[4] = {
				[1] = 3,
				[2] = "Winters Chill",
				[3] = "Interface\\Icons\\Spell_Frost_FrostBlast",
			},
			[5] = {
				[1] = 2,
				[2] = "Polymorph",
				[3] = "Interface\\Icons\\Spell_Nature_Polymorph",
			},
			[6] = {
				[1] = 2,
				[2] = "Polymorph: Turtle",
				[3] = "Interface\\Icons\\Ability_Hunter_Pet_Turtle",
			},
			[7] = {
				[1] = 2,
				[2] = "Polymorph: Pig",
				[3] = "Interface\\Icons\\Spell_Magic_PolymorphPig",
			},
			[8] = {
				[1] = 2,
				[2] = "Banish",
				[3] = "Interface\\Icons\\Shadow_Cripple",
			},
			[9] = {
				[1] = 2,
				[2] = "Shackle Undead",
				[3] = "Interface\\Icons\\Spell_Nature_Slow",
			},
			[10] = {
				[1] = 2,
				[2] = "Hibernate",
				[3] = "Interface\\Icons\\Spell_Nature_Sleep",
			},
			[11] = {
				[1] = 2,
				[2] = "Sap",
				[3] = "Interface\\Icons\\Ability_Sap",
			},
			[12] = {
				[1] = 2,
				[2] = "Succubus Seduction",
				[3] = "Interface\\Icons\\Spell_Shadow_MindSteal",
			},
		},
		["hideBG"] = 1,
		["buffsPlayer"] = {
			[1] = {
				[1] = 2,
				[2] = "Arcane Brilliance",
				[3] = "Interface\\Icons\\Spell_Holy_ArcaneIntellect",
			},
			[2] = {
				[1] = 2,
				[2] = "Arcane Intellect",
				[3] = "Interface\\Icons\\Spell_Holy_MagicalSentry",
			},
			[3] = {
				[1] = 2,
				[2] = "Dampen Magic",
				[3] = "Interface\\Icons\\Spell_Nature_AbolishMagic",
			},
			[4] = {
				[1] = 2,
				[2] = "Amplify Magic",
				[3] = "Interface\\Icons\\Spell_Holy_FlashHeal",
			},
			[5] = {
				[1] = 0,
				[2] = "Fire Ward",
				[3] = "Interface\\Icons\\Spell_Fire_FireArmor",
			},
			[6] = {
				[1] = 0,
				[2] = "Frost Ward",
				[3] = "Interface\\Icons\\Spell_Frost_FrostWard",
			},
		},
	},
	[2] = {
		["bottomCol"] = {
			["a"] = 0.5,
			["r"] = 0,
			["g"] = 0,
			["b"] = 0.6,
		},
		["maxBars"] = 40,
		["topCol"] = {
			["a"] = 0.5,
			["r"] = 0,
			["g"] = 1,
			["b"] = 1,
		},
		["buffSize"] = 1,
		["sort2"] = 0,
		["showDebuffIcon"] = 1,
		["textSize"] = 10,
		["colour"] = 1,
		["minBars"] = 2,
		["heading"] = {
			[1] = 2,
			[2] = 0,
			[3] = 0,
		},
		["refresh"] = 1,
		["sort3"] = 0,
		["namePos"] = 2,
		["barDebuffCol"] = 1,
		["valuePos"] = 4,
		["buffPos"] = 1,
		["nameOnStatus"] = 1,
		["sort1"] = 2,
		["valueType"] = 2,
		["buttonSize"] = 16,
		["outlineNames"] = 1,
		["classNames"] = 1,
		["titleHeight"] = 20,
		["width"] = 120,
		["barHeight"] = 16,
		["tooltips"] = 1,
		["text"] = "Dead",
		["filter"] = {
			["group"] = {
				[1] = 1,
				[2] = 1,
				[3] = 1,
				[4] = 1,
				[5] = 1,
				[6] = 1,
				[7] = 1,
				[8] = 1,
			},
			["injuredVal"] = 0.7999999523162842,
			["status"] = {
				["inrange"] = 1,
				["close"] = 1,
				["curable"] = 1,
				["buffed"] = 1,
				["notbuffed"] = 1,
				["outofrange"] = 1,
				["dead"] = 1,
				["healthy"] = 1,
				["notcurable"] = 1,
			},
			["class"] = {
				["HUNTER"] = 1,
				["WARRIOR"] = 1,
				["TARGET"] = 1,
				["ROGUE"] = 1,
				["MELEE"] = 1,
				["TANKS"] = 1,
				["HEALERS"] = 1,
				["DRUID"] = 1,
				["RANGED"] = 1,
				["MAGE"] = 1,
			},
		},
		["input"] = 1,
		["buffsMob"] = {
			[1] = {
				[1] = 3,
				[2] = "Sunder Armor",
				[3] = "Interface\\Icons\\Ability_Warrior_Sunder",
			},
			[2] = {
				[1] = 3,
				[2] = "Hunter's Mark",
				[3] = "Interface\\Icons\\Ability_Hunter_SniperShot",
			},
			[3] = {
				[1] = 3,
				[2] = "Curse of the Elements",
				[3] = "Interface\\Icons\\Spell_Shadow_ChillTouch",
			},
			[4] = {
				[1] = 3,
				[2] = "Winters Chill",
				[3] = "Interface\\Icons\\Spell_Frost_FrostBlast",
			},
			[5] = {
				[1] = 2,
				[2] = "Polymorph",
				[3] = "Interface\\Icons\\Spell_Nature_Polymorph",
			},
			[6] = {
				[1] = 2,
				[2] = "Polymorph: Turtle",
				[3] = "Interface\\Icons\\Ability_Hunter_Pet_Turtle",
			},
			[7] = {
				[1] = 2,
				[2] = "Polymorph: Pig",
				[3] = "Interface\\Icons\\Spell_Magic_PolymorphPig",
			},
			[8] = {
				[1] = 2,
				[2] = "Banish",
				[3] = "Interface\\Icons\\Shadow_Cripple",
			},
			[9] = {
				[1] = 2,
				[2] = "Shackle Undead",
				[3] = "Interface\\Icons\\Spell_Nature_Slow",
			},
			[10] = {
				[1] = 2,
				[2] = "Hibernate",
				[3] = "Interface\\Icons\\Spell_Nature_Sleep",
			},
			[11] = {
				[1] = 2,
				[2] = "Sap",
				[3] = "Interface\\Icons\\Ability_Sap",
			},
			[12] = {
				[1] = 2,
				[2] = "Succubus Seduction",
				[3] = "Interface\\Icons\\Spell_Shadow_MindSteal",
			},
		},
		["icon"] = 1,
		["buffsPlayer"] = {
			[1] = {
				[1] = 2,
				[2] = "Arcane Brilliance",
				[3] = "Interface\\Icons\\Spell_Holy_ArcaneIntellect",
			},
			[2] = {
				[1] = 2,
				[2] = "Arcane Intellect",
				[3] = "Interface\\Icons\\Spell_Holy_MagicalSentry",
			},
			[3] = {
				[1] = 2,
				[2] = "Dampen Magic",
				[3] = "Interface\\Icons\\Spell_Nature_AbolishMagic",
			},
			[4] = {
				[1] = 2,
				[2] = "Amplify Magic",
				[3] = "Interface\\Icons\\Spell_Holy_FlashHeal",
			},
			[5] = {
				[1] = 0,
				[2] = "Fire Ward",
				[3] = "Interface\\Icons\\Spell_Fire_FireArmor",
			},
			[6] = {
				[1] = 0,
				[2] = "Frost Ward",
				[3] = "Interface\\Icons\\Spell_Frost_FrostWard",
			},
		},
	},
	[3] = {
		["bottomCol"] = {
			["a"] = 0.5,
			["r"] = 0,
			["g"] = 0,
			["b"] = 0.6,
		},
		["maxBars"] = 40,
		["topCol"] = {
			["a"] = 0.5,
			["r"] = 0,
			["g"] = 1,
			["b"] = 1,
		},
		["buffSize"] = 1,
		["sort2"] = 0,
		["showDebuffIcon"] = 1,
		["icon"] = 1,
		["colour"] = 1,
		["minBars"] = 2,
		["heading"] = {
			[1] = 2,
			[2] = 0,
			[3] = 0,
		},
		["refresh"] = 1,
		["sort3"] = 0,
		["namePos"] = 2,
		["barDebuffCol"] = 1,
		["valuePos"] = 4,
		["buffPos"] = 1,
		["nameOnStatus"] = 1,
		["sort1"] = 2,
		["valueType"] = 2,
		["buttonSize"] = 16,
		["outlineNames"] = 1,
		["classNames"] = 1,
		["width"] = 120,
		["barHeight"] = 16,
		["titleHeight"] = 20,
		["textSize"] = 10,
		["filter"] = {
			["group"] = {
				[1] = 1,
			},
			["injuredVal"] = 0.8,
			["status"] = {
				["inrange"] = 1,
				["close"] = 1,
				["curable"] = 1,
				["buffed"] = 1,
				["outofrange"] = 1,
				["online"] = 1,
				["notbuffed"] = 1,
				["injured"] = 1,
				["dead"] = 1,
				["offline"] = 1,
				["healthy"] = 1,
				["notcurable"] = 1,
			},
			["class"] = {
				["HUNTER"] = 1,
				["WARRIOR"] = 1,
				["TARGET"] = 1,
				["PALADIN"] = 1,
				["MAGE"] = 1,
				["TANKS"] = 1,
				["PRIEST"] = 1,
				["HEALERS"] = 1,
				["WARLOCK"] = 1,
				["MELEE"] = 1,
				["SHAMAN"] = 1,
				["DRUID"] = 1,
				["RANGED"] = 1,
				["ROGUE"] = 1,
			},
		},
		["input"] = 1,
		["buffsMob"] = {
			[1] = {
				[1] = 3,
				[2] = "Sunder Armor",
				[3] = "Interface\\Icons\\Ability_Warrior_Sunder",
			},
			[2] = {
				[1] = 3,
				[2] = "Hunter's Mark",
				[3] = "Interface\\Icons\\Ability_Hunter_SniperShot",
			},
			[3] = {
				[1] = 3,
				[2] = "Curse of the Elements",
				[3] = "Interface\\Icons\\Spell_Shadow_ChillTouch",
			},
			[4] = {
				[1] = 3,
				[2] = "Winters Chill",
				[3] = "Interface\\Icons\\Spell_Frost_FrostBlast",
			},
			[5] = {
				[1] = 2,
				[2] = "Polymorph",
				[3] = "Interface\\Icons\\Spell_Nature_Polymorph",
			},
			[6] = {
				[1] = 2,
				[2] = "Polymorph: Turtle",
				[3] = "Interface\\Icons\\Ability_Hunter_Pet_Turtle",
			},
			[7] = {
				[1] = 2,
				[2] = "Polymorph: Pig",
				[3] = "Interface\\Icons\\Spell_Magic_PolymorphPig",
			},
			[8] = {
				[1] = 2,
				[2] = "Banish",
				[3] = "Interface\\Icons\\Shadow_Cripple",
			},
			[9] = {
				[1] = 2,
				[2] = "Shackle Undead",
				[3] = "Interface\\Icons\\Spell_Nature_Slow",
			},
			[10] = {
				[1] = 2,
				[2] = "Hibernate",
				[3] = "Interface\\Icons\\Spell_Nature_Sleep",
			},
			[11] = {
				[1] = 2,
				[2] = "Sap",
				[3] = "Interface\\Icons\\Ability_Sap",
			},
			[12] = {
				[1] = 2,
				[2] = "Succubus Seduction",
				[3] = "Interface\\Icons\\Spell_Shadow_MindSteal",
			},
		},
		["text"] = "OzRaid 3",
		["buffsPlayer"] = {
			[1] = {
				[1] = 2,
				[2] = "Arcane Brilliance",
				[3] = "Interface\\Icons\\Spell_Holy_ArcaneIntellect",
			},
			[2] = {
				[1] = 2,
				[2] = "Arcane Intellect",
				[3] = "Interface\\Icons\\Spell_Holy_MagicalSentry",
			},
			[3] = {
				[1] = 2,
				[2] = "Dampen Magic",
				[3] = "Interface\\Icons\\Spell_Nature_AbolishMagic",
			},
			[4] = {
				[1] = 2,
				[2] = "Amplify Magic",
				[3] = "Interface\\Icons\\Spell_Holy_FlashHeal",
			},
			[5] = {
				[1] = 0,
				[2] = "Fire Ward",
				[3] = "Interface\\Icons\\Spell_Fire_FireArmor",
			},
			[6] = {
				[1] = 0,
				[2] = "Frost Ward",
				[3] = "Interface\\Icons\\Spell_Frost_FrostWard",
			},
		},
	},
	[4] = {
		["bottomCol"] = {
			["a"] = 0.5,
			["r"] = 0,
			["g"] = 0,
			["b"] = 0.6,
		},
		["maxBars"] = 40,
		["topCol"] = {
			["a"] = 0.5,
			["r"] = 0,
			["g"] = 1,
			["b"] = 1,
		},
		["buffSize"] = 1,
		["sort2"] = 0,
		["showDebuffIcon"] = 1,
		["icon"] = 1,
		["colour"] = 1,
		["minBars"] = 2,
		["heading"] = {
			[1] = 2,
			[2] = 0,
			[3] = 0,
		},
		["refresh"] = 1,
		["sort3"] = 0,
		["namePos"] = 2,
		["barDebuffCol"] = 1,
		["valuePos"] = 4,
		["buffPos"] = 1,
		["nameOnStatus"] = 1,
		["sort1"] = 2,
		["valueType"] = 2,
		["buttonSize"] = 16,
		["outlineNames"] = 1,
		["classNames"] = 1,
		["width"] = 120,
		["barHeight"] = 16,
		["titleHeight"] = 20,
		["textSize"] = 10,
		["filter"] = {
			["group"] = {
				[1] = 1,
			},
			["injuredVal"] = 0.8,
			["status"] = {
				["inrange"] = 1,
				["close"] = 1,
				["curable"] = 1,
				["buffed"] = 1,
				["outofrange"] = 1,
				["online"] = 1,
				["notbuffed"] = 1,
				["injured"] = 1,
				["dead"] = 1,
				["offline"] = 1,
				["healthy"] = 1,
				["notcurable"] = 1,
			},
			["class"] = {
				["HUNTER"] = 1,
				["WARRIOR"] = 1,
				["TARGET"] = 1,
				["PALADIN"] = 1,
				["MAGE"] = 1,
				["TANKS"] = 1,
				["PRIEST"] = 1,
				["HEALERS"] = 1,
				["WARLOCK"] = 1,
				["MELEE"] = 1,
				["SHAMAN"] = 1,
				["DRUID"] = 1,
				["RANGED"] = 1,
				["ROGUE"] = 1,
			},
		},
		["input"] = 1,
		["buffsMob"] = {
			[1] = {
				[1] = 3,
				[2] = "Sunder Armor",
				[3] = "Interface\\Icons\\Ability_Warrior_Sunder",
			},
			[2] = {
				[1] = 3,
				[2] = "Hunter's Mark",
				[3] = "Interface\\Icons\\Ability_Hunter_SniperShot",
			},
			[3] = {
				[1] = 3,
				[2] = "Curse of the Elements",
				[3] = "Interface\\Icons\\Spell_Shadow_ChillTouch",
			},
			[4] = {
				[1] = 3,
				[2] = "Winters Chill",
				[3] = "Interface\\Icons\\Spell_Frost_FrostBlast",
			},
			[5] = {
				[1] = 2,
				[2] = "Polymorph",
				[3] = "Interface\\Icons\\Spell_Nature_Polymorph",
			},
			[6] = {
				[1] = 2,
				[2] = "Polymorph: Turtle",
				[3] = "Interface\\Icons\\Ability_Hunter_Pet_Turtle",
			},
			[7] = {
				[1] = 2,
				[2] = "Polymorph: Pig",
				[3] = "Interface\\Icons\\Spell_Magic_PolymorphPig",
			},
			[8] = {
				[1] = 2,
				[2] = "Banish",
				[3] = "Interface\\Icons\\Shadow_Cripple",
			},
			[9] = {
				[1] = 2,
				[2] = "Shackle Undead",
				[3] = "Interface\\Icons\\Spell_Nature_Slow",
			},
			[10] = {
				[1] = 2,
				[2] = "Hibernate",
				[3] = "Interface\\Icons\\Spell_Nature_Sleep",
			},
			[11] = {
				[1] = 2,
				[2] = "Sap",
				[3] = "Interface\\Icons\\Ability_Sap",
			},
			[12] = {
				[1] = 2,
				[2] = "Succubus Seduction",
				[3] = "Interface\\Icons\\Spell_Shadow_MindSteal",
			},
		},
		["text"] = "OzRaid 4",
		["buffsPlayer"] = {
			[1] = {
				[1] = 2,
				[2] = "Arcane Brilliance",
				[3] = "Interface\\Icons\\Spell_Holy_ArcaneIntellect",
			},
			[2] = {
				[1] = 2,
				[2] = "Arcane Intellect",
				[3] = "Interface\\Icons\\Spell_Holy_MagicalSentry",
			},
			[3] = {
				[1] = 2,
				[2] = "Dampen Magic",
				[3] = "Interface\\Icons\\Spell_Nature_AbolishMagic",
			},
			[4] = {
				[1] = 2,
				[2] = "Amplify Magic",
				[3] = "Interface\\Icons\\Spell_Holy_FlashHeal",
			},
			[5] = {
				[1] = 0,
				[2] = "Fire Ward",
				[3] = "Interface\\Icons\\Spell_Fire_FireArmor",
			},
			[6] = {
				[1] = 0,
				[2] = "Frost Ward",
				[3] = "Interface\\Icons\\Spell_Frost_FrostWard",
			},
		},
	},
	[5] = {
		["bottomCol"] = {
			["a"] = 0.5,
			["r"] = 0,
			["g"] = 0,
			["b"] = 0.6,
		},
		["maxBars"] = 40,
		["topCol"] = {
			["a"] = 0.5,
			["r"] = 0,
			["g"] = 1,
			["b"] = 1,
		},
		["buffSize"] = 1,
		["sort2"] = 0,
		["showDebuffIcon"] = 1,
		["icon"] = 1,
		["colour"] = 1,
		["minBars"] = 2,
		["heading"] = {
			[1] = 2,
			[2] = 0,
			[3] = 0,
		},
		["refresh"] = 1,
		["sort3"] = 0,
		["namePos"] = 2,
		["barDebuffCol"] = 1,
		["valuePos"] = 4,
		["buffPos"] = 1,
		["nameOnStatus"] = 1,
		["sort1"] = 2,
		["valueType"] = 2,
		["buttonSize"] = 16,
		["outlineNames"] = 1,
		["classNames"] = 1,
		["width"] = 120,
		["barHeight"] = 16,
		["titleHeight"] = 20,
		["textSize"] = 10,
		["filter"] = {
			["group"] = {
				[1] = 1,
			},
			["injuredVal"] = 0.8,
			["status"] = {
				["inrange"] = 1,
				["close"] = 1,
				["curable"] = 1,
				["buffed"] = 1,
				["outofrange"] = 1,
				["online"] = 1,
				["notbuffed"] = 1,
				["injured"] = 1,
				["dead"] = 1,
				["offline"] = 1,
				["healthy"] = 1,
				["notcurable"] = 1,
			},
			["class"] = {
				["HUNTER"] = 1,
				["WARRIOR"] = 1,
				["TARGET"] = 1,
				["PALADIN"] = 1,
				["MAGE"] = 1,
				["TANKS"] = 1,
				["PRIEST"] = 1,
				["HEALERS"] = 1,
				["WARLOCK"] = 1,
				["MELEE"] = 1,
				["SHAMAN"] = 1,
				["DRUID"] = 1,
				["RANGED"] = 1,
				["ROGUE"] = 1,
			},
		},
		["input"] = 1,
		["buffsMob"] = {
			[1] = {
				[1] = 3,
				[2] = "Sunder Armor",
				[3] = "Interface\\Icons\\Ability_Warrior_Sunder",
			},
			[2] = {
				[1] = 3,
				[2] = "Hunter's Mark",
				[3] = "Interface\\Icons\\Ability_Hunter_SniperShot",
			},
			[3] = {
				[1] = 3,
				[2] = "Curse of the Elements",
				[3] = "Interface\\Icons\\Spell_Shadow_ChillTouch",
			},
			[4] = {
				[1] = 3,
				[2] = "Winters Chill",
				[3] = "Interface\\Icons\\Spell_Frost_FrostBlast",
			},
			[5] = {
				[1] = 2,
				[2] = "Polymorph",
				[3] = "Interface\\Icons\\Spell_Nature_Polymorph",
			},
			[6] = {
				[1] = 2,
				[2] = "Polymorph: Turtle",
				[3] = "Interface\\Icons\\Ability_Hunter_Pet_Turtle",
			},
			[7] = {
				[1] = 2,
				[2] = "Polymorph: Pig",
				[3] = "Interface\\Icons\\Spell_Magic_PolymorphPig",
			},
			[8] = {
				[1] = 2,
				[2] = "Banish",
				[3] = "Interface\\Icons\\Shadow_Cripple",
			},
			[9] = {
				[1] = 2,
				[2] = "Shackle Undead",
				[3] = "Interface\\Icons\\Spell_Nature_Slow",
			},
			[10] = {
				[1] = 2,
				[2] = "Hibernate",
				[3] = "Interface\\Icons\\Spell_Nature_Sleep",
			},
			[11] = {
				[1] = 2,
				[2] = "Sap",
				[3] = "Interface\\Icons\\Ability_Sap",
			},
			[12] = {
				[1] = 2,
				[2] = "Succubus Seduction",
				[3] = "Interface\\Icons\\Spell_Shadow_MindSteal",
			},
		},
		["text"] = "OzRaid 5",
		["buffsPlayer"] = {
			[1] = {
				[1] = 2,
				[2] = "Arcane Brilliance",
				[3] = "Interface\\Icons\\Spell_Holy_ArcaneIntellect",
			},
			[2] = {
				[1] = 2,
				[2] = "Arcane Intellect",
				[3] = "Interface\\Icons\\Spell_Holy_MagicalSentry",
			},
			[3] = {
				[1] = 2,
				[2] = "Dampen Magic",
				[3] = "Interface\\Icons\\Spell_Nature_AbolishMagic",
			},
			[4] = {
				[1] = 2,
				[2] = "Amplify Magic",
				[3] = "Interface\\Icons\\Spell_Holy_FlashHeal",
			},
			[5] = {
				[1] = 0,
				[2] = "Fire Ward",
				[3] = "Interface\\Icons\\Spell_Fire_FireArmor",
			},
			[6] = {
				[1] = 0,
				[2] = "Frost Ward",
				[3] = "Interface\\Icons\\Spell_Frost_FrostWard",
			},
		},
	},
	[6] = {
		["bottomCol"] = {
			["a"] = 0.5,
			["r"] = 0,
			["g"] = 0,
			["b"] = 0.6,
		},
		["maxBars"] = 40,
		["topCol"] = {
			["a"] = 0.5,
			["r"] = 0,
			["g"] = 1,
			["b"] = 1,
		},
		["buffSize"] = 1,
		["sort2"] = 0,
		["showDebuffIcon"] = 1,
		["icon"] = 1,
		["colour"] = 1,
		["minBars"] = 2,
		["heading"] = {
			[1] = 2,
			[2] = 0,
			[3] = 0,
		},
		["refresh"] = 1,
		["sort3"] = 0,
		["namePos"] = 2,
		["barDebuffCol"] = 1,
		["valuePos"] = 4,
		["buffPos"] = 1,
		["nameOnStatus"] = 1,
		["sort1"] = 2,
		["valueType"] = 2,
		["buttonSize"] = 16,
		["outlineNames"] = 1,
		["classNames"] = 1,
		["width"] = 120,
		["barHeight"] = 16,
		["titleHeight"] = 20,
		["textSize"] = 10,
		["filter"] = {
			["group"] = {
				[1] = 1,
			},
			["injuredVal"] = 0.8,
			["status"] = {
				["inrange"] = 1,
				["close"] = 1,
				["curable"] = 1,
				["buffed"] = 1,
				["outofrange"] = 1,
				["online"] = 1,
				["notbuffed"] = 1,
				["injured"] = 1,
				["dead"] = 1,
				["offline"] = 1,
				["healthy"] = 1,
				["notcurable"] = 1,
			},
			["class"] = {
				["HUNTER"] = 1,
				["WARRIOR"] = 1,
				["TARGET"] = 1,
				["PALADIN"] = 1,
				["MAGE"] = 1,
				["TANKS"] = 1,
				["PRIEST"] = 1,
				["HEALERS"] = 1,
				["WARLOCK"] = 1,
				["MELEE"] = 1,
				["SHAMAN"] = 1,
				["DRUID"] = 1,
				["RANGED"] = 1,
				["ROGUE"] = 1,
			},
		},
		["input"] = 1,
		["buffsMob"] = {
			[1] = {
				[1] = 3,
				[2] = "Sunder Armor",
				[3] = "Interface\\Icons\\Ability_Warrior_Sunder",
			},
			[2] = {
				[1] = 3,
				[2] = "Hunter's Mark",
				[3] = "Interface\\Icons\\Ability_Hunter_SniperShot",
			},
			[3] = {
				[1] = 3,
				[2] = "Curse of the Elements",
				[3] = "Interface\\Icons\\Spell_Shadow_ChillTouch",
			},
			[4] = {
				[1] = 3,
				[2] = "Winters Chill",
				[3] = "Interface\\Icons\\Spell_Frost_FrostBlast",
			},
			[5] = {
				[1] = 2,
				[2] = "Polymorph",
				[3] = "Interface\\Icons\\Spell_Nature_Polymorph",
			},
			[6] = {
				[1] = 2,
				[2] = "Polymorph: Turtle",
				[3] = "Interface\\Icons\\Ability_Hunter_Pet_Turtle",
			},
			[7] = {
				[1] = 2,
				[2] = "Polymorph: Pig",
				[3] = "Interface\\Icons\\Spell_Magic_PolymorphPig",
			},
			[8] = {
				[1] = 2,
				[2] = "Banish",
				[3] = "Interface\\Icons\\Shadow_Cripple",
			},
			[9] = {
				[1] = 2,
				[2] = "Shackle Undead",
				[3] = "Interface\\Icons\\Spell_Nature_Slow",
			},
			[10] = {
				[1] = 2,
				[2] = "Hibernate",
				[3] = "Interface\\Icons\\Spell_Nature_Sleep",
			},
			[11] = {
				[1] = 2,
				[2] = "Sap",
				[3] = "Interface\\Icons\\Ability_Sap",
			},
			[12] = {
				[1] = 2,
				[2] = "Succubus Seduction",
				[3] = "Interface\\Icons\\Spell_Shadow_MindSteal",
			},
		},
		["text"] = "OzRaid 6",
		["buffsPlayer"] = {
			[1] = {
				[1] = 2,
				[2] = "Arcane Brilliance",
				[3] = "Interface\\Icons\\Spell_Holy_ArcaneIntellect",
			},
			[2] = {
				[1] = 2,
				[2] = "Arcane Intellect",
				[3] = "Interface\\Icons\\Spell_Holy_MagicalSentry",
			},
			[3] = {
				[1] = 2,
				[2] = "Dampen Magic",
				[3] = "Interface\\Icons\\Spell_Nature_AbolishMagic",
			},
			[4] = {
				[1] = 2,
				[2] = "Amplify Magic",
				[3] = "Interface\\Icons\\Spell_Holy_FlashHeal",
			},
			[5] = {
				[1] = 0,
				[2] = "Fire Ward",
				[3] = "Interface\\Icons\\Spell_Fire_FireArmor",
			},
			[6] = {
				[1] = 0,
				[2] = "Frost Ward",
				[3] = "Interface\\Icons\\Spell_Frost_FrostWard",
			},
		},
	},
	[7] = {
		["bottomCol"] = {
			["a"] = 0.5,
			["r"] = 0,
			["g"] = 0,
			["b"] = 0.6,
		},
		["maxBars"] = 40,
		["topCol"] = {
			["a"] = 0.5,
			["r"] = 0,
			["g"] = 1,
			["b"] = 1,
		},
		["buffSize"] = 1,
		["sort2"] = 0,
		["showDebuffIcon"] = 1,
		["icon"] = 1,
		["colour"] = 1,
		["minBars"] = 2,
		["heading"] = {
			[1] = 2,
			[2] = 0,
			[3] = 0,
		},
		["refresh"] = 1,
		["sort3"] = 0,
		["namePos"] = 2,
		["barDebuffCol"] = 1,
		["valuePos"] = 4,
		["buffPos"] = 1,
		["nameOnStatus"] = 1,
		["sort1"] = 2,
		["valueType"] = 2,
		["buttonSize"] = 16,
		["outlineNames"] = 1,
		["classNames"] = 1,
		["width"] = 120,
		["barHeight"] = 16,
		["titleHeight"] = 20,
		["textSize"] = 10,
		["filter"] = {
			["group"] = {
				[1] = 1,
			},
			["injuredVal"] = 0.8,
			["status"] = {
				["inrange"] = 1,
				["close"] = 1,
				["curable"] = 1,
				["buffed"] = 1,
				["outofrange"] = 1,
				["online"] = 1,
				["notbuffed"] = 1,
				["injured"] = 1,
				["dead"] = 1,
				["offline"] = 1,
				["healthy"] = 1,
				["notcurable"] = 1,
			},
			["class"] = {
				["HUNTER"] = 1,
				["WARRIOR"] = 1,
				["TARGET"] = 1,
				["PALADIN"] = 1,
				["MAGE"] = 1,
				["TANKS"] = 1,
				["PRIEST"] = 1,
				["HEALERS"] = 1,
				["WARLOCK"] = 1,
				["MELEE"] = 1,
				["SHAMAN"] = 1,
				["DRUID"] = 1,
				["RANGED"] = 1,
				["ROGUE"] = 1,
			},
		},
		["input"] = 1,
		["buffsMob"] = {
			[1] = {
				[1] = 3,
				[2] = "Sunder Armor",
				[3] = "Interface\\Icons\\Ability_Warrior_Sunder",
			},
			[2] = {
				[1] = 3,
				[2] = "Hunter's Mark",
				[3] = "Interface\\Icons\\Ability_Hunter_SniperShot",
			},
			[3] = {
				[1] = 3,
				[2] = "Curse of the Elements",
				[3] = "Interface\\Icons\\Spell_Shadow_ChillTouch",
			},
			[4] = {
				[1] = 3,
				[2] = "Winters Chill",
				[3] = "Interface\\Icons\\Spell_Frost_FrostBlast",
			},
			[5] = {
				[1] = 2,
				[2] = "Polymorph",
				[3] = "Interface\\Icons\\Spell_Nature_Polymorph",
			},
			[6] = {
				[1] = 2,
				[2] = "Polymorph: Turtle",
				[3] = "Interface\\Icons\\Ability_Hunter_Pet_Turtle",
			},
			[7] = {
				[1] = 2,
				[2] = "Polymorph: Pig",
				[3] = "Interface\\Icons\\Spell_Magic_PolymorphPig",
			},
			[8] = {
				[1] = 2,
				[2] = "Banish",
				[3] = "Interface\\Icons\\Shadow_Cripple",
			},
			[9] = {
				[1] = 2,
				[2] = "Shackle Undead",
				[3] = "Interface\\Icons\\Spell_Nature_Slow",
			},
			[10] = {
				[1] = 2,
				[2] = "Hibernate",
				[3] = "Interface\\Icons\\Spell_Nature_Sleep",
			},
			[11] = {
				[1] = 2,
				[2] = "Sap",
				[3] = "Interface\\Icons\\Ability_Sap",
			},
			[12] = {
				[1] = 2,
				[2] = "Succubus Seduction",
				[3] = "Interface\\Icons\\Spell_Shadow_MindSteal",
			},
		},
		["text"] = "OzRaid 7",
		["buffsPlayer"] = {
			[1] = {
				[1] = 2,
				[2] = "Arcane Brilliance",
				[3] = "Interface\\Icons\\Spell_Holy_ArcaneIntellect",
			},
			[2] = {
				[1] = 2,
				[2] = "Arcane Intellect",
				[3] = "Interface\\Icons\\Spell_Holy_MagicalSentry",
			},
			[3] = {
				[1] = 2,
				[2] = "Dampen Magic",
				[3] = "Interface\\Icons\\Spell_Nature_AbolishMagic",
			},
			[4] = {
				[1] = 2,
				[2] = "Amplify Magic",
				[3] = "Interface\\Icons\\Spell_Holy_FlashHeal",
			},
			[5] = {
				[1] = 0,
				[2] = "Fire Ward",
				[3] = "Interface\\Icons\\Spell_Fire_FireArmor",
			},
			[6] = {
				[1] = 0,
				[2] = "Frost Ward",
				[3] = "Interface\\Icons\\Spell_Frost_FrostWard",
			},
		},
	},
	[8] = {
		["bottomCol"] = {
			["a"] = 0.5,
			["r"] = 0,
			["g"] = 0,
			["b"] = 0.6,
		},
		["maxBars"] = 40,
		["topCol"] = {
			["a"] = 0.5,
			["r"] = 0,
			["g"] = 1,
			["b"] = 1,
		},
		["buffSize"] = 1,
		["sort2"] = 0,
		["showDebuffIcon"] = 1,
		["icon"] = 1,
		["colour"] = 1,
		["minBars"] = 2,
		["heading"] = {
			[1] = 2,
			[2] = 0,
			[3] = 0,
		},
		["refresh"] = 1,
		["sort3"] = 0,
		["namePos"] = 2,
		["barDebuffCol"] = 1,
		["valuePos"] = 4,
		["buffPos"] = 1,
		["nameOnStatus"] = 1,
		["sort1"] = 2,
		["valueType"] = 2,
		["buttonSize"] = 16,
		["outlineNames"] = 1,
		["classNames"] = 1,
		["width"] = 120,
		["barHeight"] = 16,
		["titleHeight"] = 20,
		["textSize"] = 10,
		["filter"] = {
			["group"] = {
				[1] = 1,
			},
			["injuredVal"] = 0.8,
			["status"] = {
				["inrange"] = 1,
				["close"] = 1,
				["curable"] = 1,
				["buffed"] = 1,
				["outofrange"] = 1,
				["online"] = 1,
				["notbuffed"] = 1,
				["injured"] = 1,
				["dead"] = 1,
				["offline"] = 1,
				["healthy"] = 1,
				["notcurable"] = 1,
			},
			["class"] = {
				["HUNTER"] = 1,
				["WARRIOR"] = 1,
				["TARGET"] = 1,
				["PALADIN"] = 1,
				["MAGE"] = 1,
				["TANKS"] = 1,
				["PRIEST"] = 1,
				["HEALERS"] = 1,
				["WARLOCK"] = 1,
				["MELEE"] = 1,
				["SHAMAN"] = 1,
				["DRUID"] = 1,
				["RANGED"] = 1,
				["ROGUE"] = 1,
			},
		},
		["input"] = 1,
		["buffsMob"] = {
			[1] = {
				[1] = 3,
				[2] = "Sunder Armor",
				[3] = "Interface\\Icons\\Ability_Warrior_Sunder",
			},
			[2] = {
				[1] = 3,
				[2] = "Hunter's Mark",
				[3] = "Interface\\Icons\\Ability_Hunter_SniperShot",
			},
			[3] = {
				[1] = 3,
				[2] = "Curse of the Elements",
				[3] = "Interface\\Icons\\Spell_Shadow_ChillTouch",
			},
			[4] = {
				[1] = 3,
				[2] = "Winters Chill",
				[3] = "Interface\\Icons\\Spell_Frost_FrostBlast",
			},
			[5] = {
				[1] = 2,
				[2] = "Polymorph",
				[3] = "Interface\\Icons\\Spell_Nature_Polymorph",
			},
			[6] = {
				[1] = 2,
				[2] = "Polymorph: Turtle",
				[3] = "Interface\\Icons\\Ability_Hunter_Pet_Turtle",
			},
			[7] = {
				[1] = 2,
				[2] = "Polymorph: Pig",
				[3] = "Interface\\Icons\\Spell_Magic_PolymorphPig",
			},
			[8] = {
				[1] = 2,
				[2] = "Banish",
				[3] = "Interface\\Icons\\Shadow_Cripple",
			},
			[9] = {
				[1] = 2,
				[2] = "Shackle Undead",
				[3] = "Interface\\Icons\\Spell_Nature_Slow",
			},
			[10] = {
				[1] = 2,
				[2] = "Hibernate",
				[3] = "Interface\\Icons\\Spell_Nature_Sleep",
			},
			[11] = {
				[1] = 2,
				[2] = "Sap",
				[3] = "Interface\\Icons\\Ability_Sap",
			},
			[12] = {
				[1] = 2,
				[2] = "Succubus Seduction",
				[3] = "Interface\\Icons\\Spell_Shadow_MindSteal",
			},
		},
		["text"] = "OzRaid 8",
		["buffsPlayer"] = {
			[1] = {
				[1] = 2,
				[2] = "Arcane Brilliance",
				[3] = "Interface\\Icons\\Spell_Holy_ArcaneIntellect",
			},
			[2] = {
				[1] = 2,
				[2] = "Arcane Intellect",
				[3] = "Interface\\Icons\\Spell_Holy_MagicalSentry",
			},
			[3] = {
				[1] = 2,
				[2] = "Dampen Magic",
				[3] = "Interface\\Icons\\Spell_Nature_AbolishMagic",
			},
			[4] = {
				[1] = 2,
				[2] = "Amplify Magic",
				[3] = "Interface\\Icons\\Spell_Holy_FlashHeal",
			},
			[5] = {
				[1] = 0,
				[2] = "Fire Ward",
				[3] = "Interface\\Icons\\Spell_Fire_FireArmor",
			},
			[6] = {
				[1] = 0,
				[2] = "Frost Ward",
				[3] = "Interface\\Icons\\Spell_Frost_FrostWard",
			},
		},
	},
	["minimapAngle"] = 254,
	["version"] = 1.42,
	["minimapDist"] = 80,
	["minimapShow"] = 1,
}
